import * as oracledb from 'oracledb';
export interface OracleDbInterface {
    getDriver(): OracleDbDriver;
    getOrCreatePool(params: PoolParameters): Promise<oracledb.Pool | undefined>;
    closePool(): Promise<void>;
}
export interface PoolParameters {
    user: string;
    password: string;
    connectString: string;
}
export interface OracleDbDriver extends OracleDbType {
}
declare type OracleDbType = typeof oracledb;
export {};
